#Only run IE browser
Before('@IE') do
  $_Old_Default_Browser = $_CFWEB['Default Browser']
  $_CFWEB['Default Browser'] = 'IE'
end
After('@IE') do
  $_CFWEB['Default Browser'] = $_Old_Default_Browser
end

#Only run Chrome browser
Before('@CH') do
  $_Old_Default_Browser = $_CFWEB['Default Browser']
  $_CFWEB['Default Browser'] = 'CH'
end
After('@CH') do
  $_CFWEB['Default Browser'] = $_Old_Default_Browser
end

#Only run Firefox browser
Before('@FF') do
  $_Old_Default_Browser = $_CFWEB['Default Browser']
  $_CFWEB['Default Browser'] = 'FF'
end
After('@FF') do
  $_CFWEB['Default Browser'] = $_Old_Default_Browser
end

Before do
  begin
    browser = Capybara.current_session.driver.browser
    browser.manage.delete_all_cookies
  rescue StandardError => myStandardError
    put_log "\n>>> Error: #{myStandardError}"
  end
end

After do |scenario|
  begin
    Capybara.page.driver.quit
    Capybara.send(:session_pool).delete_if { |key, value| key =~ /selenium/i }
  rescue StandardError => myStandardError
    put_log "\n>>> Error: #{myStandardError}"
  end
end

at_exit do
end

AfterConfiguration do |config|
end

Around do |scenario, block|
  block.call
end

AfterStep do |scenario|
end